Get Application Identification

Prev Next

This URL gets the application identification configuration defined for the Sensor.

Resource URL

GET sensor/<sensor_id>/policy/applicationidentification

Request Parameters

URL Parameter

Field Name Description Data Type Mandatory
sensor_id Sensor Id Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
enableApplicationIdentification Enable application identification flag Boolean
selectedPorts Selected ports Strings list

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1003/policy/applicationidentification

Response

 {
    "enableApplicationIdentification": true,
    "selectedPorts":
    [
        "1A",
        "1B",
        "2A"
    ]
} 
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 400 1106 Invalid Sensor Id